// priority: 992

ItemEvents.modifyTooltips(event => {
    event.add('ae2:cable_anchor', Text.translate('ftb.tooltip.ae2.cable_anchor.facade_info'))
    event.add('ae2:cable_anchor', Text.translate('ftb.tooltip.ae2.cable_anchor.facade_pattern_1'))
    event.add('ae2:cable_anchor', Text.translate('ftb.tooltip.ae2.cable_anchor.facade_pattern_2'))
    event.add('ae2:cable_anchor', Text.translate('ftb.tooltip.ae2.cable_anchor.facade_pattern_3'))

    event.add('justdirethings:experienceholder', Text.translate('ftb.tooltip.justdirethings.experienceholder.bucket_info'))

    event.add([
        'minecraft:enchanted_book[stored_enchantments={levels:{"apothic_enchanting:boon_of_the_earth":1}}]',
        'minecraft:enchanted_book[stored_enchantments={levels:{"apothic_enchanting:boon_of_the_earth":2}}]',
        'minecraft:enchanted_book[stored_enchantments={levels:{"apothic_enchanting:boon_of_the_earth":3}}]',
        'minecraft:enchanted_book[stored_enchantments={levels:{"apothic_enchanting:boon_of_the_earth":4}}]',
        'minecraft:enchanted_book[stored_enchantments={levels:{"apothic_enchanting:boon_of_the_earth":5}}]'
    ], Text.translate('ftb.tooltip.apothic_enchanting.boon_of_the_earth.warning'))

    event.add('toolbelt:belt', Text.translate('ftb.tooltip.toolbelt.belt.open_menu'))
    event.add('toolbelt:belt', Text.translate('ftb.tooltip.toolbelt.belt.use_item'))

    event.add('compactmachines:new_machine', Text.translate('ftb.tooltip.compactmachines.new_machine.recipe_visualize'))

    event.add('ae2:not_so_mysterious_cube', Text.translate('ftb.tooltip.ae2.not_so_mysterious_cube.description'))

    event.add('ftbevolution:omega_dragon_egg', Text.translate('ftb.tooltip.ftbevolution.omega_dragon_egg.attention'))
    event.add('ftbevolution:omega_dragon_egg', Text.translate('ftb.tooltip.ftbevolution.omega_dragon_egg.cauldron_tip'))

    event.add([
        'easy_villagers:trader[]', 
        'easy_villagers:auto_trader[]', 
        'easy_villagers:farmer[]', 
        'easy_villagers:breeder[]', 
        'easy_villagers:converter[]', 
        'easy_villagers:iron_farm[]', 
        'easy_villagers:incubator[]', 
        'easy_villagers:inventory_viewer[]'
    ], Text.translate('ftb.tooltip.easy_villagers.contents_disabled'))

    event.add([
        'easy_villagers:trader[]', 
        'easy_villagers:auto_trader[]', 
        'easy_villagers:farmer[]', 
        'easy_villagers:breeder[]', 
        'easy_villagers:converter[]', 
        'easy_villagers:iron_farm[]', 
        'easy_villagers:incubator[]', 
        'easy_villagers:inventory_viewer[]'
    ], Text.translate('ftb.tooltip.easy_villagers.contents_config_warning'))

    event.add([
        'modern_industrialization:copper_cable',
        'modern_industrialization:silver_cable',
        'modern_industrialization:tin_cable',
        'modern_industrialization:cupronickel_cable',
        'modern_industrialization:electrum_cable',
        'modern_industrialization:aluminum_cable',
        'modern_industrialization:kanthal_cable',
        'modern_industrialization:annealed_copper_cable',
        'modern_industrialization:platinum_cable',
        'modern_industrialization:superconductor_cable'
    ], Text.translate('ftb.tooltip.modern_industrialization.cables.flux_warning'))

    event.modify('fargostalismans:abominable_energy', tooltip => {
        tooltip.removeLine(1)
        tooltip.insert(1, Text.translate('ftb.tooltip.fargostalismans.abominable_energy.source_1'))
        tooltip.insert(2, Text.translate('ftb.tooltip.fargostalismans.abominable_energy.source_2'))
    })

    event.add('industrialforegoing:dryrubber', Text.translate('ftb.tooltip.industrialforegoing.dryrubber.recipe_info'))
})
